Bug 1474197 - Include wrong libvirt package in redhat-virtualization-host-4.1-20170721.0
Include wrong libvirt package in redhat-virtualization-host-4.1-20170721.0
Status: CLOSED ERRATA
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: rhev-hypervisor-ng (Show other bugs)
4.1.4
Unspecified Unspecified
unspecified Severity high
: ovirt-4.1.4
: ---
Assigned To: Ryan Barry
cshao
: Rebase, ZStream
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-24 02:33 EDT by cshao
Modified: 2017-08-10 12:11 EDT (History)
12 users (show)

See Also:
Fixed In Version: redhat-virtualization-host-4.1-20170727.0
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-10 12:11:24 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Node
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description cshao 2017-07-24 02:33:14 EDT
Description of problem:
Include wrong libvirt package in redhat-virtualization-host-4.1-20170721.0

Version-Release number of selected component (if applicable):
redhat-virtualization-host-4.1-20170721.0
libvirt-client-3.2.0-14.el7.x86_64
libvirt-daemon-3.2.0-14.el7.x86_64
imgbased-0.9.34-0.1.el7ev.noarch


How reproducible:
100%

Steps to Reproduce:
1. Install redhat-virtualization-host-4.1-20170721.0.
2. Login RHVH, check libvirt version.
# rpm -qa| grep libvirt
libvirt-python-3.2.0-3.el7.x86_64
libvirt-daemon-driver-interface-3.2.0-14.el7.x86_64
libvirt-daemon-driver-storage-rbd-3.2.0-14.el7.x86_64
libvirt-daemon-driver-network-3.2.0-14.el7.x86_64
libvirt-daemon-driver-storage-logical-3.2.0-14.el7.x86_64
libvirt-daemon-kvm-3.2.0-14.el7.x86_64
libvirt-daemon-config-nwfilter-3.2.0-14.el7.x86_64
libvirt-lock-sanlock-3.2.0-14.el7.x86_64
libvirt-daemon-driver-storage-core-3.2.0-14.el7.x86_64
libvirt-daemon-driver-storage-mpath-3.2.0-14.el7.x86_64
libvirt-daemon-driver-storage-3.2.0-14.el7.x86_64
libvirt-client-3.2.0-14.el7.x86_64
libvirt-daemon-driver-nwfilter-3.2.0-14.el7.x86_64
libvirt-daemon-driver-secret-3.2.0-14.el7.x86_64
libvirt-daemon-driver-storage-gluster-3.2.0-14.el7.x86_64
libvirt-daemon-driver-storage-scsi-3.2.0-14.el7.x86_64
libvirt-daemon-3.2.0-14.el7.x86_64
libvirt-daemon-driver-storage-disk-3.2.0-14.el7.x86_64
libvirt-libs-3.2.0-14.el7.x86_64
libvirt-daemon-driver-nodedev-3.2.0-14.el7.x86_64
libvirt-daemon-driver-qemu-3.2.0-14.el7.x86_64
libvirt-daemon-driver-storage-iscsi-3.2.0-14.el7.x86_64


Actual results:
Include wrong libvirt package in redhat-virtualization-host-4.1-20170721.0

Expected results:
1. After step2, RHVH should include newer libvirt version(libvirt-3.2.0-14.el7_4.2).

Additional info:
Comment 1 Ryan Barry 2017-07-24 07:15:42 EDT
We will get this into the final build, but this is not a bug.

libvirt-3.2.0-14.el7_4.2 is currently only in -candidate and -pending tags, and is not part of the build tree until released.
Comment 3 cshao 2017-07-31 03:44:42 EDT
Test version:
redhat-virtualization-host-4.1-20170728.0
imgbased-0.9.36-0.1.el7ev.noarch
libvirt-client-3.2.0-14.el7_4.2.x86_64
libvirt-daemon-3.2.0-14.el7_4.2.x86_64


Test steps:
1. Login RHVH, check libvirt version.
# rpm -qa| grep libvirt
libvirt-daemon-3.2.0-14.el7_4.2.x86_64
libvirt-daemon-driver-secret-3.2.0-14.el7_4.2.x86_64
libvirt-daemon-driver-storage-rbd-3.2.0-14.el7_4.2.x86_64
libvirt-daemon-driver-storage-3.2.0-14.el7_4.2.x86_64
libvirt-daemon-kvm-3.2.0-14.el7_4.2.x86_64
libvirt-libs-3.2.0-14.el7_4.2.x86_64
libvirt-client-3.2.0-14.el7_4.2.x86_64
libvirt-daemon-driver-nwfilter-3.2.0-14.el7_4.2.x86_64
libvirt-lock-sanlock-3.2.0-14.el7_4.2.x86_64
libvirt-daemon-driver-nodedev-3.2.0-14.el7_4.2.x86_64
libvirt-daemon-driver-storage-gluster-3.2.0-14.el7_4.2.x86_64
libvirt-daemon-driver-storage-disk-3.2.0-14.el7_4.2.x86_64
libvirt-daemon-driver-storage-iscsi-3.2.0-14.el7_4.2.x86_64
libvirt-daemon-driver-storage-mpath-3.2.0-14.el7_4.2.x86_64
libvirt-daemon-driver-qemu-3.2.0-14.el7_4.2.x86_64
libvirt-python-3.2.0-3.el7.x86_64
libvirt-daemon-config-nwfilter-3.2.0-14.el7_4.2.x86_64
libvirt-daemon-driver-interface-3.2.0-14.el7_4.2.x86_64
libvirt-daemon-driver-storage-core-3.2.0-14.el7_4.2.x86_64
libvirt-daemon-driver-storage-scsi-3.2.0-14.el7_4.2.x86_64
libvirt-daemon-driver-storage-logical-3.2.0-14.el7_4.2.x86_64
libvirt-daemon-driver-network-3.2.0-14.el7_4.2.x86_64


Test result:
RHVH include the correct libvirt package, so the bug is fixed, I will verify this bug once it is move to ON_QA status.
Comment 5 cshao 2017-08-02 23:27:44 EDT
Verify this bug according #c3.
Comment 7 errata-xmlrpc 2017-08-10 12:11:24 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2017:2464

Note You need to log in before you can comment on or make changes to this bug.